package com.zbkj.service.wangshang.api.domain.model;

import com.zbkj.service.wangshang.api.MybankObject;
import com.zbkj.service.wangshang.api.domain.RespInfo;
import javax.xml.bind.annotation.*;

/**
 * 小程序商户预入驻接口<ant.mybank.bkmerchantprod.merch.applet.pre.register>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "body")
public class MerchantprodMerchAppletPreRegisterResponseModel extends MybankObject {

    private static final long serialVersionUID = -3510703144698209575L;
    /**
     * 返回码组件
     * Result Status 返回S不代表入驻成功，只代表入驻申请已受理。需要回查
     */
    @XmlElementRef
    private RespInfo respInfo;

    /**
     * 外部商户号
     */
    @XmlElement(name = "OutMerchantId")
    private String outMerchantId;

    /**
     * 外部交易流水号
     */
    @XmlElement(name = "OutTradeNo")
    private String outTradeNo;

    /**
     * 外部平台ID
     */
    @XmlElement(name = "IsvOrgId")
    private String isvOrgId;

    /**
     * 申请单号
     */
    @XmlElement(name = "OrderNo")
    private String orderNo;

    public RespInfo getRespInfo() {
        return respInfo;
    }

    public void setRespInfo(RespInfo respInfo) {
        this.respInfo = respInfo;
    }

    public String getOutMerchantId() {
        return outMerchantId;
    }

    public void setOutMerchantId(String outMerchantId) {
        this.outMerchantId = outMerchantId;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getIsvOrgId() {
        return isvOrgId;
    }

    public void setIsvOrgId(String isvOrgId) {
        this.isvOrgId = isvOrgId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
}